## org.eclipse.m2m.qvt.oml.debug.core.srclookup
Class QVTOSourcePathComputer

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.srclookup.QVTOSourcePathComputer

    public class QVTOSourcePathComputer

extends java.lang.Object

Field Summary
`static java.lang.String` `ID`

Constructor Summary
`QVTOSourcePathComputer()`

Method Summary
`ISourceContainer[]` `computeSourceContainers(ILaunchConfiguration configuration, IProgressMonitor monitor)`
`java.lang.String` `getId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Constructor Detail

### QVTOSourcePathComputer

    public QVTOSourcePathComputer()

Method Detail

### getId

    public java.lang.String getId()

### computeSourceContainers

    public ISourceContainer[] computeSourceContainers(ILaunchConfiguration configuration,
                                                      IProgressMonitor monitor)
                                               throws CoreException

  Throws:
    `CoreException`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.